﻿
@{
    ViewBag.Title = "GetReportByDOJ";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts
{
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $("#txtfdate").datepicker();
            $("#txtdate").datepicker();
            //$("#btnShowReport").click(function () {
            //});
        });

    </script>
    <script>
        function GetReport(val) {
            var dt1 = $("#txtfdate").val();
            var dt2 = $("#txtdate").val();
            if (dt1 != "" && dt2 != "") {
                var a = document.createElement('a');
                a.href = '/TbFeeReceipt/GetDOJExcel?dt1=' + dt1 + '&dt2=' + dt2 + '&format=' + val;
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();
            }
            else {
                alert("Select Dates");
            }
        }
    </script>
}


<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        DOJ Report
    </h1>
</div>
<ul class="breadcrumb">
    <li><a href="/Home/Index">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table width="100%">
    <tr>
        <td>
            <table>
                <tr>
                    <td>
                        From Date <span style="color: Red">(*)</span>
                    </td>
                    <td>
                        To Date <span style="color: Red">(*)</span>
                    </td>
                   

                </tr>
                <tr>
                    <td>
                        <input type="date" id="txtfdate" />
                    </td>
                    <td>
                        <input type="date" id="txtdate" />
                    </td>
                  
                    <td valign="top">
                    <td align="left" valign="top">
                        <div class="dropdown">
                            <button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:114px">
                                Get Report
                                <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="#" onclick="GetReport('PDF')">PDF</a></li>
                                <li><a href="#" onclick="GetReport('Excel')">Excel</a></li>

                            </ul>
                        </div>
                        @*<input type="button" id="btnReport" value="Get Report" class="btn btn-primary" onclick="GetReport();" />*@
                    </td>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td></td>
    </tr>
</table>


